Skip to main content

Car Wash Sale Voids


This section describes how to void a sale that was submitted but not yet processed by the processor.

Supported processor: Fiserv RapidConnect

Endpoints

The {id} is the transaction ID returned in the sale response.

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

Example

{    "clientReferenceInformation": {        "code": "123456789012",        "reconciliationId": "000000050000771"    },    "orderInformation": {        "amountDetails": {            "totalAmount": "110",            "currency": "USD"        }    }}
{    "submitTimeUtc": "2025-03-11T16:39:30Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCode": "000"    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500036"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "110.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789012"    },    "reconciliationId": "000000050000771",    "id": "7417111702443232235535",    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/voids/7417111702443232235535"        }    },    "status": "VOIDED"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationId—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—

Last published: September 29, 2026